---
title: v0.6
---

## v0.6.0

### Bug Fixes
`v-date-picker`
* Bug: `fromPage` and `toPage` not updating when new date was assigned or selected.
  Fix: `fromPage` and `toPage` are updated when new value is assigned, if needed. Closes #51.
* Bug: When clearing out input element, infinite start and end dates selected.
  Fix: When clearing out input element, date is cleared or reverts to previous value, depending on `is-required` prop or if dragging in `"range"` mode. Closes #54.

### Improvements
* Add Finnish translation to locales
`v-calendar`
#### Slots
* Rename `popover-header` slot name to `day-popover-header` to more clearly identify slot target
* Add `day-popover-footer` slot for day popover footers
* `day-popover-header`, `day-popover-footer` and custom popover slots accept `day` prop instead of `day-info` prop
#### Events
* Rename `dayselect` calendar event to `dayclick` to more clearly indicate DOM event source
* Modify parameter structure for day events (`dayclick`, `daymouseenter`, `daymouseover`, `daymouseleave`). Instead of passing multiple parameters in order (and having to remember the right order), there is now a single object parameter with the following properties.

  | Property | Type | Description |
  | -------- | ---- | ----------- |
  | `day` | Number | Day number (1 - 31). |
  | `dayFromEnd` | Number | Day number from the end of the month (1 - 31). |
  | `weekday` | Number | Day weekday number (1:Sun - 7:Sat). |
  | `weekdayOrdinal` | Number | Weekday ordinal position from the start of the month (1 - 6). |
  | `weekdayOrdinalFromEnd` | Number | Weekday ordinal position from the end of the month (1 - 6). |
  | `week` | Number | Week number form the start of the month (1 - 6). |
  | `weekFromEnd` | Number | Week number from the end of the month (1 - 6). |
  | `month` | Number | Month number (1 - 12). |
  | `year` | Number | Year number. |
  | `date` | Date | Date for this day. |
  | `dateTime` | Number | Result of calling `date.getTime()` for this day. |
  | `inMonth` | Boolean | Day lies in the currently active month. |
  | `inPrevMonth` | Boolean | Day lies in the month before the currently active month. |
  | `inNextMonth` | Boolean | Day lies in the month after the currently active month. |
  | `attributes` | Array | List of attributes for the day involved with the event. |
  | `attributesMap` | Object | Object map of the attributes using their designated key. |
  | `event` | Object | Original trigger event. |

`v-date-picker`
#### Props
* Add `is-required` prop to `v-date-picker` to prevent null date selections. Closes #45.
* Replace input related props (`input...`) with `input-props` object as a catch all for all props to apply to input element.
* Replace `select-color` and `drag-color` props with `tint-color`. Opacity is set to `0.5` when `tint-color` is applied to `drag-attribute`.
* Add `disabled-attribute` prop.
#### Defaults
* Replace input related defaults (`datePickerInput...`) with `input-props` as a configurable default function or object.

## v0.6.1

### Bug Fixes
`v-date-picker`
* Prevent bug causing infinite update cycle loop and locking the browser when using `disabled-dates`. Closes #61.

### Improvements
`v-calendar`
* Improve efficiency of date intersection detection logic.

## v0.6.2

### Bug Fixes
`v-calendar`
Fix bug when using `max-page` with single-paned calendars. Closes #64.

`v-date-picker`
Force delay when navigating pages to prevent display of empty calendars. Closes #52.
Fix bug when using supplying default `dateFormatter` and `dateParser`. Closes #62.
Fix bug resulting in date selections getting ignored. Closes #66.

### Improvements
Replace icon fonts with svg icons. Closes #59.

## v0.6.3

### Bug Fixes
Use svg icons for left and right year group arrows in navigation pane. Closes #69.